summaryrefslogtreecommitdiff
path: root/dev-cpp/pcg-cpp
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
commitd97953e6ff67978da9554e7b4601aedceb21e215 (patch)
tree674053c902db6972b9716c9ac3b1e960ee7a5358 /dev-cpp/pcg-cpp
parent1d1fa5bb30df70070bbbbd2b777b839d31f09c41 (diff)
downloadbaldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.gz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.xz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.zip
Adding metadata
Diffstat (limited to 'dev-cpp/pcg-cpp')
-rw-r--r--dev-cpp/pcg-cpp/Manifest1
-rw-r--r--dev-cpp/pcg-cpp/files/pcg-cpp.pc9
-rw-r--r--dev-cpp/pcg-cpp/metadata.xml13
-rw-r--r--dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406-r1.ebuild46
4 files changed, 69 insertions, 0 deletions
diff --git a/dev-cpp/pcg-cpp/Manifest b/dev-cpp/pcg-cpp/Manifest
new file mode 100644
index 000000000000..f6fbafada829
--- /dev/null
+++ b/dev-cpp/pcg-cpp/Manifest
@@ -0,0 +1 @@
+DIST pcg-cpp-0.98.1_p20210406.tar.gz 78228 BLAKE2B 5cb1ded0bbc04a147975f3a40ca8e50becbd50e1d325a1f0bdff37bb2030bc15063601650a6bf8db252688e5f80cb950e14ebc14f2c9be37b6415be9074aa258 SHA512 e96e40bf63ddb29ebf8679ddaabbf5dc934173f38cb5ed97c5efe068a742a715daa05e38d9ae322a10fa538c8ec7a271622bfb6569256a471fe5e1c9a83f9e3f
diff --git a/dev-cpp/pcg-cpp/files/pcg-cpp.pc b/dev-cpp/pcg-cpp/files/pcg-cpp.pc
new file mode 100644
index 000000000000..b289efc01585
--- /dev/null
+++ b/dev-cpp/pcg-cpp/files/pcg-cpp.pc
@@ -0,0 +1,9 @@
+prefix=@PREFIX@
+exec_prefix=${prefix}
+includedir=${prefix}/include
+
+Name: pcg-cpp
+Description: Family of better random number generators
+URL: https://www.pcg-random.org
+Version: 0.98.1
+Cflags: -I${includedir}
diff --git a/dev-cpp/pcg-cpp/metadata.xml b/dev-cpp/pcg-cpp/metadata.xml
new file mode 100644
index 000000000000..48ce5f492165
--- /dev/null
+++ b/dev-cpp/pcg-cpp/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <remote-id type="github">mneme/pcg-cpp</remote-id>
+ <bugs-to>https://github.com/imneme/pcg-cpp/issues</bugs-to>
+ <doc>https://www.pcg-random.org/using-pcg-cpp.html</doc>
+ </upstream>
+ <maintainer type="person">
+ <email>cyber+gentoo@sysrq.in</email>
+ <name>Anna</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406-r1.ebuild b/dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406-r1.ebuild
new file mode 100644
index 000000000000..39d2d740a3dd
--- /dev/null
+++ b/dev-cpp/pcg-cpp/pcg-cpp-0.98.1_p20210406-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+COMMIT="ffd522e7188bef30a00c74dc7eb9de5faff90092"
+
+DESCRIPTION="Family of better random number generators"
+HOMEPAGE="https://www.pcg-random.org https://github.com/imneme/pcg-cpp"
+SRC_URI="https://github.com/imneme/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+# header-only library
+src_compile() {
+ tc-export CXX
+ if use test ; then
+ cd test-high || die
+ emake
+ fi
+}
+
+src_test() {
+ cd test-high || die
+ sh ./run-tests.sh || die
+}
+
+src_install() {
+ doheader include/*
+
+ docompress -x /usr/share/doc/${PF}/sample
+ use examples && dodoc -r sample
+ einstalldocs
+
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins "${FILESDIR}"/pcg-cpp.pc
+ sed -e "s:@PREFIX@:${EPREFIX}/usr:" \
+ -i "${ED}"/usr/$(get_libdir)/pkgconfig/pcg-cpp.pc || die
+}